using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    class MyClass
    {
        private string message;

        public MyClass()
        {
            message = "Üdvüzölek a MyClass osztályban!";
        }

        public MyClass(string Name)
        {
            message = $"Üdvüzölek {Name} a MyClass osztályban!";
        }

        public MyClass(int x, int y)
        {
            message = $"Üdvüzölek a MyClass osztályban! \nAz általad adott számok szorzata: {x*y}";
        }

        public MyClass(bool kedves)
        {
            if (kedves)
            {
                message = "Üdvüzölek a MyClass osztályban!";
            } else
            {
                message = "A MyClass osztályban vagy te gyász!";
            }
        }

        public void Uzenet()
        {
            Console.WriteLine(message);
        }
    }
    class Program
    {
        static void Main(string[] args)
        {
            MyClass valami = new MyClass();
            valami.Uzenet();
            MyClass Sanyi = new MyClass("Sanyi");
            Sanyi.Uzenet();
            MyClass Szamol = new MyClass(5, 7);
            Szamol.Uzenet();
            MyClass kedves = new MyClass(true);
            kedves.Uzenet();
            MyClass bunko = new MyClass(false);
            bunko.Uzenet();

            Console.ReadLine();
        }
    }
}
